#ifndef _LCPmanzini_hpp_
#define _LCPmanzini_hpp_

#include <iostream>
using namespace std;

/* Klasse zur Konstruktion der LCP-Tabelle nach der Methode von
   Manzini 2004. Bentigt keinen zustzlichen Platz zum Text,
   SA und LCP, ist dafr aber etwas langsamer als die Kasai-
   Berechnung. */
class LCPmanzini {
public:
	LCPmanzini(int*, unsigned char*, int);
	
	// konstruiert die LCP-Tabelle
	int* construct();

	// konstruiert die LCP-Tabelle fr eine DB ('\1' bricht ab)
	int* constructDB();

private:
	// speichert Zeiger auf das Suffix Array
	int* SA;

	// speichert Zeiger auf den Text
	unsigned char* text;

	// Lnge des SAs = Lnge des Textes (may include '\0' or not)
	int length;
};

#endif
