#include "emerging.hpp"

main(int argc, char *argv[]) {
	char *file1, *file2;
 	switch(argc) {
		case 6:
			// combined minfreq and maxfreq
			if (atof(argv[4]) <= 0.0 || atof(argv[4]) > 1.0) {
				cout << "Support threshold must be greater than 0 and less than or equal to 1. Exit.\n";
				exit(0);
			}
			if (atof(argv[5]) < 1.0) {
				cout << "Growth rate must not be less than 1. Exit.\n";
				exit(0);
			}
			file1 = argv[2];
			file2 = argv[3];
			Emerging em;
			em.emerging(file1, file2, atoi(argv[1]), atof(argv[4]), atof(argv[5]));
			break;
		default:
			cout << "Usage:\n\n";
			cout << argv[0] << " [type] [database 1] [database 2] [rho_s] [rho_g]\n";
			cout << "\nwhere [type] is either \"1\" (for raw text) or \"2\" (for FASTA format),\n";
			cout << "1/|[database 1]| <= [rho_s] <= 1.0 is the support threshold for [database 1],\n";
			cout << "and [rho_g] >= 1 is the growth rate from [database 1] to [database 2].\n";

	}

}
