#include "frequent_linear.hpp"

main(int argc, char *argv[]) {
	char *file1, *file2;
 	switch(argc) {
		case 6:
			// combined minfreq and maxfreq
			if (atoi(argv[4]) < 1) {
				cout << "Minimum frequency threshold must be at least 1. Exit.\n";
				exit(0);
			}
			if (atoi(argv[5]) < 1) {
				cout << "Maximum frequency threshold must be greater than 0. Exit.\n";
				exit(0);
			}
			file1 = argv[2];
			file2 = argv[3];
			FrequentStringsLinear freq;
			freq.frequent(file1, file2, atoi(argv[1]), atoi(argv[4]), atoi(argv[5]));

			break;
		default:
			cout << "Usage:\n\n";
			cout << argv[0] << " [type] [database 1] [database 2] [min] [max]\n";
			cout << "\nwhere [type] is either \"1\" (for raw text) or \"2\" (for FASTA format),\n";
			cout << "[min] => 1 is the minimum frequency threshold for [database 1],\n";
			cout << "and [max] => 1 is the maximum frequency threshold for [database 2].\n";

	}

}
